<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.kuaishou.modules.live.mapper.LiveDataTouchMapper">

    <insert id="replaceBatch">
        replace into ctop_live_data_touch(
        id,
        account_id,
        stat_date,
        fan_strat,
        customer_strat,
        charge,
        today_cumulative_gmv,
        today_cumulative_roi,
        today_cumulative_order_count,
        show_users,
        buy_users,
        buy_ratio,
        arpu,
        uv,
        average_price
        )
        values
        <foreach collection="list" item="touch" separator=",">
            (
            #{touch.id},
            #{touch.accountId},
            #{touch.statDate},
            #{touch.fanStrat},
            #{touch.customerStrat},
            #{touch.charge},
            #{touch.todayCumulativeGmv},
            #{touch.todayCumulativeRoi},
            #{touch.todayCumulativeOrderCount},
            #{touch.showUsers},
            #{touch.buyUsers},
            #{touch.buyRatio},
            #{touch.arpu},
            #{touch.uv},
            #{touch.averagePrice}
            )
        </foreach>
    </insert>

</mapper>